Bullet Collision Detection & Physics Library: btSimulationIslandManagerMt.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
btSimulationIslandManagerMt.cpp File Reference
`#include "LinearMath/btScalar.h"`
`#include "LinearMath/btThreads.h"`
`#include "btSimulationIslandManagerMt.h"`
`#include "BulletCollision/BroadphaseCollision/btDispatcher.h"`
`#include "BulletCollision/NarrowPhaseCollision/btPersistentManifold.h"`
`#include "BulletCollision/CollisionDispatch/btCollisionObject.h"`
`#include "BulletCollision/CollisionDispatch/btCollisionWorld.h"`
`#include "BulletDynamics/ConstraintSolver/btTypedConstraint.h"`
`#include "BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolverMt.h"`
`#include "LinearMath/btQuickprof.h"`
Include dependency graph for btSimulationIslandManagerMt.cpp:

Go to the source code of this file.

## Classes
class | IslandBatchSizeSortPredicate
| function object that routes calls to operator< More...
class | IslandBodyCapacitySortPredicate
struct | UpdateIslandDispatcher

## Functions
int | calcBatchCost (int bodies, int manifolds, int constraints)
int | calcBatchCost (const btSimulationIslandManagerMt::Island *island)
int | getIslandId (const btPersistentManifold *lhs)
int | btGetConstraintIslandId1 (const btTypedConstraint *lhs)
bool | btIsBodyInIsland (const btSimulationIslandManagerMt::Island &island, const btCollisionObject *obj)

## Function Documentation

## ◆ btGetConstraintIslandId1()

int btGetConstraintIslandId1 | ( | const btTypedConstraint * | lhs | ) |
| inline

Definition at line 68 of file btSimulationIslandManagerMt.cpp.

## ◆ btIsBodyInIsland()

bool btIsBodyInIsland | ( | const btSimulationIslandManagerMt::Island & | island,
|  | const btCollisionObject * | obj
| ) |  |

Definition at line 116 of file btSimulationIslandManagerMt.cpp.

## ◆ calcBatchCost() [1/2]

int calcBatchCost | ( | const btSimulationIslandManagerMt::Island * | island | ) |
| inline

Definition at line 36 of file btSimulationIslandManagerMt.cpp.

## ◆ calcBatchCost() [2/2]

int calcBatchCost | ( | int | bodies,
|  | int | manifolds,
|  | int | constraints
| ) |  |
| inline

Definition at line 29 of file btSimulationIslandManagerMt.cpp.

## ◆ getIslandId()

int getIslandId | ( | const btPersistentManifold * | lhs | ) |
| inline

Definition at line 60 of file btSimulationIslandManagerMt.cpp.